---
- name: Set up default debian bookworm apt config
  hosts: bookworm
  tasks:
    - name: install debian bookworm apt sources
      ansible.builtin.copy:
        src: apt/bookworm.sources
        dest: /etc/apt/sources.list.d/bookworm.sources
        mode: 0644
        owner: root
        group: root
    - name: delete sources.list
      ansible.builtin.file:
        path: /etc/apt/sources.list
        state: absent
    - name: mkdir /etc/apt/mirrors
      ansible.builtin.file:
        path: /etc/apt/mirrors
        state: directory
    - name: copy debian and debian-security mirrors file
      ansible.builtin.copy:
        src: 'apt/mirrors/{{item}}'
        dest: /etc/apt/mirrors
        mode: 0644
        owner: root
        group: root
      loop:
        - debian.list
        - debian-security.list
    - name: apt update
      ansible.builtin.apt:
        update_cache: yes
